## Semantic Answer Similarity
For the evaluation of semantic answer similarity metrics as opposed to lexical-based metrics, we compiled three datasets of pairs of answers to the same question that we labeled with regard to the semantic similarity of the answers. It comprises 3,659 annotated answer pairs in NQ_open_SAS.csv, 943 pairs in SQuAD_SAS.csv, and 433 pairs in GermanQuAD_SAS.csv.

[Link to the paper](https://arxiv.org/abs/2108.06130)

## License
The GermanQuAD data by [Möller et al. 2021](https://arxiv.org/abs/2104.12741) is released under the [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/) license.

The SQuAD data by [Rajpurkar et al. 2018](https://arxiv.org/abs/1806.03822) is released under the [CC BY-SA 4.0](http://creativecommons.org/licenses/by-sa/4.0/) license.

All of the Natural Questions data by [Kwiatkowski et al. 2019](https://www.mitpressjournals.org/doi/full/10.1162/tacl_a_00276) and [Lee et.al. 2019](https://www.aclweb.org/anthology/P19-1612/) is released under the [CC BY-SA 3.0](https://creativecommons.org/licenses/by-sa/3.0/) license.

## Citation
If you use semantic answer similarity or any of the compiled datasets, please cite the paper published at MRQA@EMNLP that is also available on arxiv.org:
@article{DBLP:journals/corr/abs-2108-06130,
  author    = {Julian Risch and
               Timo M{\"{o}}ller and
               Julian Gutsch and
               Malte Pietsch},
  title     = {Semantic Answer Similarity for Evaluating Question Answering Models},
  journal   = {CoRR},
  volume    = {abs/2108.06130},
  year      = {2021},
  url       = {https://arxiv.org/abs/2108.06130},
  eprinttype = {arXiv},
  eprint    = {2108.06130},
}

## About us
![deepset logo](https://workablehr.s3.amazonaws.com/uploads/account/logo/476306/logo)
We bring NLP to the industry via open source!  
Our focus: Industry specific language models & large scale QA systems.  
  
Some of our work: 
- [German BERT (aka "bert-base-german-cased")](https://deepset.ai/german-bert)
- [GermanQuAD and GermanDPR datasets and models (aka "gelectra-base-germanquad", "gbert-base-germandpr")](https://deepset.ai/germanquad)
- [FARM](https://github.com/deepset-ai/FARM)
- [Haystack](https://github.com/deepset-ai/haystack/)
Get in touch:
[Twitter](https://twitter.com/deepset_ai) | [LinkedIn](https://www.linkedin.com/company/deepset-ai/) | [Slack](https://haystack.deepset.ai/community/join) | [GitHub Discussions](https://github.com/deepset-ai/haystack/discussions) | [Website](https://deepset.ai)

By the way: [we're hiring!](https://apply.workable.com/deepset/) 